Bug 912961 - Review Request: rubygem-gtk3 - Ruby/GTK3 is a Ruby binding of GTK+-3.x
Summary: Review Request: rubygem-gtk3 - Ruby/GTK3 is a Ruby binding of GTK+-3.x
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ken Dreyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 912960
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-20 04:41 UTC by Mamoru TASAKA
Modified: 2013-10-28 01:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-28 01:13:12 UTC
Type: ---
ktdreyer: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2013-02-20 04:41:46 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/ruby-gnome2-suite/rubygem-gtk3.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/ruby-gnome2-suite/rubygem-gtk3-1.2.1-1.fc.src.rpm
Description: 
Ruby/GTK3 is a Ruby binding of GTK+-3.x.
Fedora Account System Username: mtasaka

Comment 1 Mamoru TASAKA 2013-02-20 04:43:17 UTC
Koji scratch build not available currently because this package needs rubygem-gdk3 (review request bug 912960 ).

Local mock build log for F-19 is available on:
http://mtasaka.fedorapeople.org/Review_request/ruby-gnome2-suite/MOCK-rubygem-gtk3.log

Comment 5 Miroslav Suchý 2013-08-26 13:09:18 UTC
Taking. I will proceed as soon as we finish with bug 912960 as some point will be same (.h files location).

Comment 6 Mamoru TASAKA 2013-10-08 07:48:48 UTC
Miroslav, this review request is assigned to you. Would you check this now?

Comment 7 Ken Dreyer 2013-10-16 11:40:37 UTC
As discussed with Mamoru and Miroslave I'll take over this review.

Comment 8 Ken Dreyer 2013-10-16 11:41:18 UTC
(Miroslav, I meant. My apologies!)

Comment 9 Ken Dreyer 2013-10-16 16:08:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- I can't find a "any later version" statement the gem's license. I think the
  License: tag should be "LGPLv2", not "LGPLv2+". Can you confirm?

- rpmlint found that the COPYING.LIB file contains an incorrect address for the
  FSF. Would you mind downloading the new COPYING.LIB file from upstream? See
  https://github.com/ruby-gnome2/ruby-gnome2/issues/196

- rpmlint found a number of .rb files that have shebang lines, but do not have
  the executable bits set. ("non-executable-script" errors). Please either
  remove these shebangs, or set the executable bits.

- Assuming you keep the shebang lines, please adjust the shebangs so that
  /usr/bin/env no longer appears in the RPMs' auto-requires. /usr/bin/ruby
  would be a better option.

- There is a bogus changelog date: "Mon Feb 19 2013"

- In %check, echo "needs intestigating" -> "investigating"

- There is a typo with the isa macro: %{isa} -> %{_isa}

- I recommend using HTTPS in the Source0 URL.

- I wonder if you might have a umask on your computer that defaults permissions
  to 0600? There were two strange-permission warnings in rpmlint on the source
  RPM.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     below).
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     The package appears to be LGPLv2, not LGPLv2+.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see below).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     gtk3-devel , rubygem-gtk3-doc. The %{?_isa} macro is mis-typed as %{?isa}.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
     %check requires X, so the tests are disabled.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[-]: Test suite of the library should be run.
     The tests require X, so the tests are disabled.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-gtk3-2.0.2-1.fc21.i686.rpm
          rubygem-gtk3-devel-2.0.2-1.fc21.i686.rpm
          rubygem-gtk3-doc-2.0.2-1.fc21.noarch.rpm
          rubygem-gtk3-2.0.2-1.fc21.src.rpm
rubygem-gtk3.i686: W: no-soname /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so
rubygem-gtk3.i686: E: incorrect-fsf-address /usr/share/gems/gems/gtk3-2.0.2/COPYING.LIB
rubygem-gtk3.i686: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/lib/gtk3.rb 0644L /usr/bin/env
rubygem-gtk3-devel.i686: W: no-documentation
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/window.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/assistant.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/checkbutton.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/treeview.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/menu.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/print.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/alpha-demo.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/treemodelfilter.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/textbuffer_serialize.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: wrong-script-interpreter /usr/share/gems/gems/gtk3-2.0.2/sample/misc/button2.rb /usr/local/bin/ruby
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/button2.rb 0644L /usr/local/bin/ruby
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/togglebutton.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/image.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/radiobutton.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/statusicon.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/expander.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/filechooser.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/gtk-demo/main.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/style_property.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/iconview.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/toolbar.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/combo_check.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/buttonbox.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/to_drawable.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/rgtk+cairo.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/scalebutton.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/entrycompletion.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/itemfactory.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/dialog.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/aboutdialog.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/bindings.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/recentchooserdialog.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/threads.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/cairo-pong.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/helloworld.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/aboutdialog2.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/frame.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/button.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/label.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/t-gtkplug.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/dialog2.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/listview.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/misc_button.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/testgtk/testgtk.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/composited-windows.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/entry.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/tooltips.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/t-gtksocket.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/pangorenderer.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/linkbutton.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/combobox.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/itemfactory2.rb 0644L /usr/bin/env
rubygem-gtk3.src: W: strange-permission gtk3-2.0.2.gem 0600L
rubygem-gtk3.src: W: strange-permission COPYING.LIB.gtk3 0600L
rubygem-gtk3.src: E: specfile-error warning: bogus date in %changelog: Mon Feb 19 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.2.1-1
4 packages and 0 specfiles checked; 55 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-gtk3-devel rubygem-gtk3-doc rubygem-gtk3
rubygem-gtk3-devel.i686: W: no-documentation
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/window.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/assistant.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/checkbutton.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/treeview.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/menu.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/print.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/alpha-demo.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/treemodelfilter.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/textbuffer_serialize.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: wrong-script-interpreter /usr/share/gems/gems/gtk3-2.0.2/sample/misc/button2.rb /usr/local/bin/ruby
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/button2.rb 0644L /usr/local/bin/ruby
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/togglebutton.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/image.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/radiobutton.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/statusicon.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/expander.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/filechooser.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/gtk-demo/main.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/style_property.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/iconview.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/toolbar.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/combo_check.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/buttonbox.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/to_drawable.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/rgtk+cairo.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/scalebutton.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/entrycompletion.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/itemfactory.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/dialog.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/aboutdialog.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/bindings.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/recentchooserdialog.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/threads.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/cairo-pong.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/helloworld.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/aboutdialog2.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/frame.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/button.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/label.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/t-gtkplug.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/dialog2.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/listview.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/misc_button.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/testgtk/testgtk.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/composited-windows.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/entry.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/tooltips.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/t-gtksocket.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/pangorenderer.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/linkbutton.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/combobox.rb 0644L /usr/bin/env
rubygem-gtk3-doc.noarch: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/sample/misc/itemfactory2.rb 0644L /usr/bin/env
rubygem-gtk3.i686: W: no-soname /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_id_children
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_make_boxed
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_filename_to_ruby
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgutil_glibid_r2g_func
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_cstr2rval
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgutil_id_module_eval
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_gc_mark_instance
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_ruby_object_from_instance
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so gdk_geometry_get_type
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_make_enum
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_glist2rval
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so g_connect_flags_get_type
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_lookup_class
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_define_class
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_rval_inspect
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_instance_from_ruby_object
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_define_method
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_add_relative
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_rval2cstr_accept_nil
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_define_singleton_method
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so g_rclosure_new
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_rvalue_to_gvalue
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rb_cairo_context_to_ruby_object
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgdk_rval2gdkpixbufglist
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgutil_invoke_callback
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_rval2glibid
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_remove_relative
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_gobject_new
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rb_cairo_region_to_ruby_object
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_make_flags
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_rval2gints
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgerr_define_gerror
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_register_property_setter
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rb_cairo_region_from_ruby_object
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_rval2strv_dup
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_scan_options
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgerr_gerror2exception
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_make_boxed
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rb_cairo_surface_from_ruby_object
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_rval2strv
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_rval2guint16s
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_initialize_object
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_remove_relative_all
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgutil_set_properties
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_lookup_class_by_gtype
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_add_relative_removable
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgutil_string_set_utf8_encoding
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_gvalue_to_rvalue
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rb_cairo_surface_to_ruby_object
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_boxed_not_copy_obj
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_gtype_to_ruby_class
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_gslist2rval
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_cstr2rval_free
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_glist2rval_with_type
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_rval2cstr
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so get_gdkevent
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so gdk_atom_get_type
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_ruby_object_from_instance_with_unref
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_initialize_gvalue
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgdk_rval2gdkatoms
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_filename_from_ruby
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_cstr2rval
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_rval2cstr_accept_symbol_accept_nil
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_filename_to_ruby_free
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_register_class
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbg_strv2rval_free
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_gc_mark_instance
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_set_signal_func
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rb_cairo_context_from_ruby_object
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so get_gdkatom
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so g_rclosure_attach
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_define_class_dynamic
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_register_g2r_func
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so make_gdkevent
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_get_flags
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_ruby_object_from_instance
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_boxed_get
rubygem-gtk3.i686: W: undefined-non-weak-symbol /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so rbgobj_get_enum
rubygem-gtk3.i686: W: unused-direct-shlib-dependency /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so /lib/libcairo.so.2
rubygem-gtk3.i686: W: unused-direct-shlib-dependency /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so /lib/libpangocairo-1.0.so.0
rubygem-gtk3.i686: W: unused-direct-shlib-dependency /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so /lib/libatk-1.0.so.0
rubygem-gtk3.i686: W: unused-direct-shlib-dependency /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so /lib/libpthread.so.0
rubygem-gtk3.i686: W: unused-direct-shlib-dependency /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so /lib/librt.so.1
rubygem-gtk3.i686: W: unused-direct-shlib-dependency /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so /lib/libdl.so.2
rubygem-gtk3.i686: W: unused-direct-shlib-dependency /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so /lib/libcrypt.so.1
rubygem-gtk3.i686: W: unused-direct-shlib-dependency /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so /lib/libm.so.6
rubygem-gtk3.i686: E: incorrect-fsf-address /usr/share/gems/gems/gtk3-2.0.2/COPYING.LIB
rubygem-gtk3.i686: E: non-executable-script /usr/share/gems/gems/gtk3-2.0.2/lib/gtk3.rb 0644L /usr/bin/env
3 packages and 0 specfiles checked; 54 errors, 88 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-gtk3-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    gtk3-devel
    rubygem-glib2-devel
    rubygem-gtk3

rubygem-gtk3-doc (rpmlib, GLIBC filtered):
    rubygem-gtk3

rubygem-gtk3 (rpmlib, GLIBC filtered):
    libatk-1.0.so.0
    libc.so.6
    libcairo-gobject.so.2
    libcairo.so.2
    libcrypt.so.1
    libdl.so.2
    libgdk-3.so.0
    libgdk_pixbuf-2.0.so.0
    libgio-2.0.so.0
    libglib-2.0.so.0
    libgobject-2.0.so.0
    libgtk-3.so.0
    libm.so.6
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpthread.so.0
    librt.so.1
    libruby.so.2.0
    rtld(GNU_HASH)
    ruby
    ruby(rubygems)
    rubygem(atk)
    rubygem(gdk3)
    rubygem(gdk_pixbuf2)
    rubygem(gio2)
    rubygem(glib2)
    rubygem(pango)



Provides
--------
rubygem-gtk3-devel:
    pkgconfig(ruby-gtk3)
    rubygem-gtk3-devel
    rubygem-gtk3-devel(x86-32)

rubygem-gtk3-doc:
    rubygem-gtk3-doc

rubygem-gtk3:
    rubygem(gtk3)
    rubygem-gtk3
    rubygem-gtk3(x86-32)



Unversioned so-files
--------------------
rubygem-gtk3: /usr/lib/gems/ruby/gtk3-2.0.2/lib/gtk3.so

Source checksums
----------------
http://rubygems.org/gems/gtk3-2.0.2.gem :
  CHECKSUM(SHA256) this package     : 4c67d8e9d74f02834664c90482a2752e1d596d28e0df04de097fc24dbd4008a5
  CHECKSUM(SHA256) upstream package : 4c67d8e9d74f02834664c90482a2752e1d596d28e0df04de097fc24dbd4008a5


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 912961 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Ruby, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 10 Mamoru TASAKA 2013-10-18 07:53:04 UTC
Thank you for initial comments. Will try to fix later.

Comment 11 Mamoru TASAKA 2013-10-21 04:41:58 UTC
(In reply to Ken Dreyer from comment #9)
> Issues:
> =======
> - I can't find a "any later version" statement the gem's license. I think the
>   License: tag should be "LGPLv2", not "LGPLv2+". Can you confirm?

- This should be LGPLv2+ as the actual code in gem file (e.g.
  ext/gtk3/init.c) explicitly mentions this.
  
> - rpmlint found that the COPYING.LIB file contains an incorrect address for
> the
>   FSF. Would you mind downloading the new COPYING.LIB file from upstream? See
>   https://github.com/ruby-gnome2/ruby-gnome2/issues/196

- Updated. Thank you for pinging upstream.

> - rpmlint found a number of .rb files that have shebang lines, but do not
> have
>   the executable bits set. ("non-executable-script" errors). Please either
>   remove these shebangs, or set the executable bits.

- Well, for now I skip this (except for files under lib/)
  * All this rpmlint comes from files for documentation files (not
    needed for runtime). These files are actually meant for try
    executing (for demo / etc) , so having shebangs is preferable. 
    And for rpm packaging
    viewpoint, making documentation files have executable permission
    is undesirable (because it adds dependency), so unless mandatory
    needed documentation files should not have executable permission.
  * Also, I don't think we have to modify shebangs in sample files...

  For files under lib/ shebang is removed.


> - Assuming you keep the shebang lines, please adjust the shebangs so that
>   /usr/bin/env no longer appears in the RPMs' auto-requires. /usr/bin/ruby
>   would be a better option.

- Same above, usually we remove executable permission from documentation
  files so as not to add dependency from documentation files. 
  Adding "/usr/bin/env" filter on every binary rpms having
  documentation files is not a good idea.
- For /usr/bin/env v.s. /usr/bin/ruby, there was some discussion about
  this, for example:
  http://www.redhat.com/archives/fedora-packaging/2009-July/msg00056.html
  however no conclusion. When _I_ review other person's review requests,
  I have no opinion about banning use for /usr/bin/env, so for now
  I won't dare to modify this.

(and again, files under lib/ are modified)

> - There is a bogus changelog date: "Mon Feb 19 2013"
> 
> - In %check, echo "needs intestigating" -> "investigating"
> 
> - There is a typo with the isa macro: %{isa} -> %{_isa}
> 
> - I recommend using HTTPS in the Source0 URL.

- All the 4 aboves fixed, thank you.


> - I wonder if you might have a umask on your computer that defaults
> permissions
>   to 0600? There were two strange-permission warnings in rpmlint on the
> source
>   RPM.

- Actually I set umask to 0077 (so that directory is to be created with
  0700 permission, for example).

Comment 13 Ken Dreyer 2013-10-23 15:21:18 UTC
(In reply to Mamoru TASAKA from comment #11)
> - This should be LGPLv2+ as the actual code in gem file (e.g.
>   ext/gtk3/init.c) explicitly mentions this.

Thanks for finding this! And for fixing all the requested items.

(One final thing: please remove the trailing space after "Requires: ruby(rubygems)" prior to importing into Git. https://github.com/lutter/gem2rpm/issues/26)

APPROVED

Comment 14 Mamoru TASAKA 2013-10-24 05:41:40 UTC
Okay, thank you!

New Package SCM Request
=======================
Package Name: rubygem-gtk3
Short Description: Ruby/GTK3 is a Ruby binding of GTK+-3.x
Owners: mtasaka
Branches: f20

Comment 15 Gwyn Ciesla 2013-10-24 11:56:37 UTC
Git done (by process-git-requests).

Comment 16 Mamoru TASAKA 2013-10-28 01:13:12 UTC
Successfully built on F-21/20, push requested on F-20, closing.

Thank you for review and git procedure.


Note You need to log in before you can comment on or make changes to this bug.